Subject: Re: Request To Advance : "Unique Local IPv6 Unicast Addresses"

From: Dan Lanciani <[email-masked]>
Date: Wed, 25 Feb 2004 15:05:56 -0500 (EST)

Bill Manning <[email-masked]> wrote:

| be prepared to defend yourself in court(s) in any number of
| jurisdictions.

Against whom exactly would he be defending?  Presumably the litigation would
be initiated by someone who had a financial stake in the matter.  Are you
acknowledging that the current address rental model exists for profit rather
than as a solution to the technical problem of address & routing table slot
consumption?

| You should check w/ the RIRs on their role/position
| wrt legal precident on address/prefix ownership.

Umm, wouldn't they (at least some of them) be a bit biased since it is
additional revenue that they might want for themselves?

| You should
| have the ISOC/IETF legal team review the creation of property rights
| by the WG chairs and the IESG.

How do these allocations create property rights any more than the original
IPv4 allocations used before the rental model was introduced?

| Its not going to be easy and its
| not clear the effort justifies the exposure, at least to me.

It is true that these days it is possible to cook up a legal storm about
almost anything.  What is the true reason for doing so in this case?

| If you do this, I will have to rethink my use of IPv6 as tainted
| goods.

I think a lot of folks will rethink their use of IPv6 if they can't get
permanent address space.

| The IETF should stick to -PROTOCOL- development, not create
| property rights to be fought over in courts.

But the IETF has already (at least indirectly) created property rights--and
very valuable ones--for the registries and ISPs who rent addresses.  A rental
property is still a property.  Your complaint seems to be with property rights
for end users, not with property rights in general.

				Dan Lanciani
				ddl@danlan.*com

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

---

From: Bill Manning <[email-masked]>
Date: Wed, 25 Feb 2004 22:46:03 -0800 (PST)

% Bill Manning <[email-masked]> wrote:
% 
% | be prepared to defend yourself in court(s) in any number of
% | jurisdictions.
% 
% Against whom exactly would he be defending?  Presumably the litigation would
% be initiated by someone who had a financial stake in the matter.  Are you
% acknowledging that the current address rental model exists for profit rather
% than as a solution to the technical problem of address & routing table slot
% consumption?

	I am not impuning anything wrt routing table issues.
	Positing a US based example...  GE uses  FD00:42::
	Ford uses FD00:42:: - the prefixes become entrenched
	in their respective corporate cultures.  A tiff breaks out
	and they go to court and cite the IESG & the then current 
	WG chairs for the creation of address blocks as property.
	
	this is -NOT- how the current address delegation model works.
 
% | You should check w/ the RIRs on their role/position
% | wrt legal precident on address/prefix ownership.
% 
% Umm, wouldn't they (at least some of them) be a bit biased since it is
% additional revenue that they might want for themselves?

	what revenue?

% 
% | You should
% | have the ISOC/IETF legal team review the creation of property rights
% | by the WG chairs and the IESG.
% 
% How do these allocations create property rights any more than the original
% IPv4 allocations used before the rental model was introduced?

	the early delegations have very nebulous documentation (mostly)
	as to the terms and conditions under which they were delegated.
	That is not the case here.

% 
% | Its not going to be easy and its
% | not clear the effort justifies the exposure, at least to me.
% 
% It is true that these days it is possible to cook up a legal storm about
% almost anything.  What is the true reason for doing so in this case?

	The IETF is making a fundamental change in address delegation
	policy w/o consultation with the existing, operational groups
	who manage address delegations.  Fundamental changes should
	have a very clear and well thought out/documented reason why
	the changes are being considered and why objections are being
	overridden.  Which does not seem to be the case here.

% | If you do this, I will have to rethink my use of IPv6 as tainted
% | goods.
% 
% I think a lot of folks will rethink their use of IPv6 if they can't get
% permanent address space.

	No space delegations are permanent.

% 
% | The IETF should stick to -PROTOCOL- development, not create
% | property rights to be fought over in courts.
% 
% But the IETF has already (at least indirectly) created property rights--and
% very valuable ones--for the registries and ISPs who rent addresses.  A rental
% property is still a property.  Your complaint seems to be with property rights
% for end users, not with property rights in general.

	That was not the IETF.  That was governments and operators.
	The IAB concured with these groups in establishing RIRs.
	
	And if you will take the time to review the legal history,
	you will note that the RIRs do not claim ownership. In fact
	US legal precident (and in other venues as well) indicates
	that address delegations are -NOT- property/assets.  RIRs
	are custodians.

% 
% 				Dan Lanciani
% 				ddl@danlan.*com
% 
% --------------------------------------------------------------------
% IETF IPv6 working group mailing list
% [email-masked]
% Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
% --------------------------------------------------------------------
% 

-- 
--bill

Opinions expressed may not even be mine by the time you read them, and
certainly don't reflect those of any other entity (legal or otherwise).